TESTING/LIN/srzt02.f(3)

NAME
TESTING/LIN/srzt02.f

SYNOPSIS

  Functions/Subroutines
real function srzt02 (m, n, af, lda, tau, work, lwork)
SRZT02

Function/Subroutine Documentation

  real function srzt02 (integer m, integer n, real, dimension( lda, * ) af, integer lda, real, dimension( * ) tau, real, dimension( lwork ) work, integer lwork)

SRZT02

Purpose:

     SRZT02 returns
          || I - Q'*Q || / ( M * eps)
     where the matrix Q is defined by the Householder transformations
     generated by STZRZF.

Parameters
    M

              M is INTEGER
              The number of rows of the matrix AF.

    N

              N is INTEGER
              The number of columns of the matrix AF.

    AF

              AF is REAL array, dimension (LDA,N)
              The output of STZRZF.

    LDA

              LDA is INTEGER
              The leading dimension of the array AF.

    TAU

              TAU is REAL array, dimension (M)
              Details of the Householder transformations as returned by
              STZRZF.

    WORK

              WORK is REAL array, dimension (LWORK)

    LWORK

              LWORK is INTEGER
              length of WORK array. LWORK >= N*N+N*NB.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 89 of file srzt02.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.